[sword-devel] OSIS Versions

DM Smith dmsmith555 at gmail.com
Tue Mar 29 18:38:15 MST 2005

Do we need to add an OSISVersion=x.x to a book's conf?

In comparing the draft of the 2.1 spec with that of 2.0 (for certain
elements), I noticed that the "hi" element has a type="italic" (or one
of the other 6 standard or a proprietary x-) and in 2.1 it is
rend="italic". Granted, it is a draft, but this is a significant (though
small) difference.

The reason I ask is that JSword uses XSLT to transform OSIS to HTML for
rendering. Having a single stylesheet that conforms to 1.1, 1.5, 2.0,
2.1 creates complexity. But without knowing what is the modules version
of OSIS, we have very little choice but to have a single stylesheet.

More information about the sword-devel mailing list